<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\MailController;
Route::get('/send-test-email', [MailController::class, 'sendTestEmail']);

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::post('submit', [ApiController::class, 'store']);
Route::get('getdata', [ApiController::class, 'fetchdata']);

Route::post('register', [AuthController::class, 'register']);
Route::post('login', [AuthController::class, 'login']);

Route::get('test', [MailController::class, 'sendTestEmail']);
Route::get('aaa', [ApiController::class, 'aa']);
Route::post('send-test-mail', [MailController::class, 'sendMail']);

